#
# spec file for package rubygem-omniauth-google-oauth2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-omniauth-google-oauth2
Version:        0.5.3
Release:        lp152.3.3
%define mod_name omniauth-google-oauth2
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/zquestz/omniauth-google-oauth2
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Google OAuth2 strategy for OmniAuth 1.x
License:        MIT
Group:          Development/Languages/Ruby

%description
A Google OAuth2 strategy for OmniAuth 1.x. This allows you to login to Google
with your ruby app.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Thu Feb  8 2018 coolo@suse.com
- updated to version 0.5.3
  see installed CHANGELOG.md
  [#]# 0.5.3 - 2018-01-25
  [#]## Added
  - Added support for the JWT 2.x gem.
  - Now fully qualifies the `JWT` class to prevent conflicts with the `Omniauth::JWT` strategy.
  [#]## Deprecated
  - Nothing.
  [#]## Removed
  - Removed the `multijson` dependency.
  - Support for versions of `omniauth-oauth2` < 1.5.
  [#]## Fixed
  - Nothing.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 0.5.2
  see installed CHANGELOG.md
  [#]# 0.5.2 - 2017-07-30
  [#]## Added
  - Nothing
  [#]## Deprecated
  - Nothing.
  [#]## Removed
  - New `authorize_url` and `token_url` endpoints are reverted until JWT 2.0 ships.
  [#]## Fixed
  - Nothing
  [#]# 0.5.1 - 2017-07-19
  [#]## Added
  - *Breaking* JWT iss verification can be enabled/disabled with the `verify_iss` flag - see the README for more details.
  - Authorize options now includes `device_id` and `device_name` for private ip ranges.
  [#]## Deprecated
  - Nothing.
  [#]## Removed
  - Nothing.
  [#]## Fixed
  - Updated `authorize_url` and `token_url` to new endpoints.
* Wed May 31 2017 coolo@suse.com
- updated to version 0.5.0
  see installed CHANGELOG.md
  [#]# 0.5.0 - 2017-05-29
  [#]## Added
  - Rubocop checks to specs.
  - Defaulted dev environment to ruby 2.3.4.
  [#]## Deprecated
  - Nothing.
  [#]## Removed
  - Testing support for older versions of ruby not supported by OmniAuth 1.5.
  - Key `[:urls]['Google']` no longer exists, it has been renamed to `[:urls][:google]`.
  [#]## Fixed
  - Updated all code to rubocop conventions. This includes the Ruby 1.9 hash syntax when appropriate.
  - Example javascript flow now picks up ENV vars for google key and secret.
* Thu Apr  7 2016 coolo@suse.com
- updated to version 0.4.1
  see installed CHANGELOG.md
  [#]# 0.4.1 - 2016-03-14
  [#]## Added
  - Nothing.
  [#]## Deprecated
  - Nothing.
  [#]## Removed
  - Nothing.
  [#]## Fixed
  - Fixed JWT iat leeway by requiring ruby-jwt 1.5.2
  [#]# 0.4.0 - 2016-03-11
  [#]## Added
  - Addedd ability to specify multiple hosted domains.
  - Added a default leeway of 1 minute to JWT token validation.
  - Now requires ruby-jwt 1.5.x.
  [#]## Deprecated
  - Nothing.
  [#]## Removed
  - Removed support for ruby 1.9.3 as ruby-jwt 1.5.x does not support it.
  [#]## Fixed
  - Nothing.
* Sun Jan 31 2016 mrueckert@suse.de
- update to 0.3.1
* Mon Jan 11 2016 mrueckert@suse.de
- update to 0.3.0
* Tue Dec  1 2015 mrueckert@suse.de
- update to 0.2.10
* Sat Sep 26 2015 mrueckert@suse.de
- update to 0.2.7
* Wed Jul 23 2014 mrueckert@suse.de
- initial package
